{
    "Name": "platform-remote-access-plugin",
    "Type": "SRP",
    "Version": "1.0.692",
    "MinimumAgentVersion": "1.0.484",
    "UnsupportedOS": [{"Type": "Linux","Version": "6.1","Name": "Ubuntu"},{"Type": "Linux","Version": "","Name": "Kali"},{"Type": "darwin","Version": "","Name": ""}],
    "SupportedArchitecture": [
        "X-84","i386"
    ],
    "Backup": [
        "/config"
    ],
    "Operations": [
       {
          "Type": "File",
          "Name": "remote-access/platform-remote-access-plugin.exe",
          "NewFileName": "remote-access/platform-remote-access-plugin.exe.bkp.1",
          "InstallationPath": "/plugin",
          "Action": "Rename",
          "RestoreOnFailure": true
        },
        {
            "Type": "File",
            "Name": "remote-access/platform-remote-access-plugin.exe",
            "NewFileName": "remote-access/platform-remote-access-plugin.exe",
            "InstallationPath": "/plugin",
            "FileHash": "e680e4b9831c16ea7b93a9a399a1dc74",
            "Action": "Add",
            "RestoreOnFailure": true
        },
        {
          "Type": "File",
          "Name": "remote-access/platform-remote-access-plugin.exe.bkp.1",
          "InstallationPath": "/plugin",
          "Action": "Remove",
          "RestoreOnFailure": false
        },
        {
            "Type": "File",
            "Name": "remote-access/remote-access_agent_plugin_cfg.json",
            "NewFileName": "remote-access/remote-access_agent_plugin_cfg.json",
            "InstallationPath": "/plugin",
            "FileHash": "35ae82d24c25afb8d57cd2f657270e1b",
            "Action": "Add",
            "RestoreOnFailure": true
        },
        {
			"Type": "File",
			"Name": "remote-access/remote-access_agent_plugin_checksum_cfg.json",
	        "NewFileName": "remote-access/remote-access_agent_plugin_checksum_cfg.json",
    		"InstallationPath": "/plugin",
			"FileHash": "08d11090ce530d46902f52311e1c6731",
			"Action": "Add",
			"RestoreOnFailure": true
		}
    ],
    "UninstallOperations": [
        {
            "Type": "File",
            "Name": "remote-access/platform-remote-access-plugin.exe",
            "NewFileName": "remote-access/platform-remote-access-plugin.exe",
            "InstallationPath": "/plugin",
            "Action": "Remove",
            "RestoreOnFailure": true
        },
        {
            "Type": "File",
            "Name": "remote-access/remote-access_agent_plugin_cfg.json",
            "NewFileName": "remote-access/remote-access_agent_plugin_cfg.json",
            "InstallationPath": "/plugin",
            "Action": "Remove",
            "RestoreOnFailure": true
        },
        {
			"Type": "File",
			"Name": "remote-access/remote-access_agent_plugin_checksum_cfg.json",
		    "NewFileName": "remote-access/remote-access_agent_plugin_checksum_cfg.json",
			"InstallationPath": "/plugin",
			"FileHash": "08d11090ce530d46902f52311e1c6731",
			"Action": "Remove",
			"RestoreOnFailure": true
		},
        {
			"Type": "File",
			"Name": "remote-access/ControlProfileFingerPrints.json",
			"InstallationPath": "/plugin",
			"FileHash": "",
			"Action": "Remove",
			"RestoreOnFailure": true
		},
        {
            "Type": "File",
            "Name": "remote-access",
            "InstallationPath": "/plugin",
            "FileHash": "",
            "Action": "Remove",
            "RestoreOnFailure": true
        }
      ]
}
